@font-face {
  font-family: 'Griffith-Sans';
  src: url('GriffithSansDisplay-Regular.otf');
}

body, html {
  font-family: 'Griffith-Sans';
  margin: 0 !important;
  padding: 0 !important;
  overflow-x: hidden;
}


/* Custom scroll bar */
::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}


::-webkit-scrollbar-track {
  background: #f1f1f1;
}


::-webkit-scrollbar-thumb {
  background: #C02424;
}


::-webkit-scrollbar-thumb:hover {
  background: #555;
}

.shiny-output-error-validation {
  height: 100%;
  margin: auto;
  color: #C02424;
  font-size: 1em;
}

.input-group-btn {
  margin-left: 5px !important; 
  margin-top: 1px !important;
}


.leaflet-control-container > * .legend {
  transform: translateX(95%); 
  transition: 0.5s ease-in-out;
  cursor: pointer;
}

@media(max-width: 768px) {
  
  /* Responsive scrolling and heights for mobile guided view */
  .overflow-sm-scroll {
    overflow-y: scroll !important;
    height: 200px !important;
  }
}

@media(max-width: 992px) {
    /* Responsive width for mobile view */
  .w-sm-100 {
    width: 100% !important;
  }
}
